<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS svobodný operační systém...." name="description" />
    <meta content="EndeavourOS" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="/img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS</title>
</head>

<body>
    <?php require "header.php" ?>
    <main>
        <section class="welcome">
            <h1>i3wm - první kroky po instalaci i3wm</h1>
            <img alt="" src="img/i3wm-eos-1.webp" style="width: 50%;height: auto;" />
            <h2>Implementace EndeavourOS: </h2>
            <p><strong>Alternativně můžete využít konfigurace pro počáteční konfiguraci EndeavourOS po nové instalaci od
                    <a href="https://mastodon.arch-linux.cz/@archos" target="_blank">Archose </a></strong> <a
                    href="https://git.arch-linux.cz/Archos/Archlinux_I3.git" target="_blank">Rychlé instalace správce
                    oken i3 pro Arch Linux</a></p>
            <h2>Návod pro nastavení i3-wm: </h2>
            <p>Pozadí zpracovává: <a href="https://feh.finalrewind.org/" target="_blank">feh</a></p>
            <p>Téma gtk3 zpracovává: <a href="https://wiki.lxde.org/de/LXAppearance" target="_blank"> lxappearance-gtk3
                </a>
            </p>
            <p>Prohlížeč souborů: <a href="https://docs.xfce.org/xfce/thunar/start" target="_blank"> Thunar </a></p>
            <p>Výchozí emulátor terminálu: <a href="https://docs.xfce.org/apps/terminal/start" target="_blank">
                    xfce4-terminal</a></p>
            <p><strong>Pokud chcete změnit xfce4 terminál, je potřeba nastavit také uvnitř ~/.profile (export
                    TERMINAL=xfce4-terminal), takže připomínáme, že to musíte změnit i tam. </strong></p>
            <p>Textový editor: <a href="https://github.com/linuxmint/xed" target="_blank"> xed </a></p>
            <p>Automatické spouštění aplikací z /etc/xdg/autostart/ (*): <a href="https://github.com/jceb/dex"
                    target="_blank"> dex</a></p>
            <p>Oznámení se provádějí pomocí <a href="https://dunst-project.org/" target="_blank">dunst</a>: CONFIG FILE
                =
                ~/.config/dunst/dunstrc </p>
            <p><strong>Dex je ve výchozím nastavení v konfiguraci povoleno pro automatické spouštění jako v DE.
                    Chcete-li
                    deaktivovat, zakomentujte řádek: </strong></p>
            <code>
            <p>exec --no-startup-id dex --autostart --environment i3</p>
        </code>
            <p>uvnitř <code>~/.config/i3/config.</code></p>
            <h2>Klávesové zkratky:</h2>
            <p>Klávesa [mod] je nastavena na klávesu [win] (pokud nemáte linuxový hardware).</p>
            <img alt="" src="img/linkey.webp" style="width: 50%;height: auto;" />
            <p>Klávesové zkratky zkontrolujete tímto způsobem: Ikona klávesnice na panelu otevře malého pomocníka GUI a
                stisknutím [F1 + funkční klávesa (Dle vašeho HW)] se otevře rozšířené nastavení klávesových zkratek.
            </p>
            <img alt="" src="img/i3-keybind-helper.webp" style="width: 50%;height: auto;" />
            <h2>Nastavení displeje s arandr: </h2>
            <img alt="" src="img/arandr-display-setup-i3.webp" style="width: 50%;height: auto;" />
            <p>Otevřete arandr a nastavte displej/y podle potřeby.</p>
            <p>Uložte nastavení z nabídky arandr nebo tlačítka přesně s názvem souboru monitor. —> na i3 EndeavourOS
                máme
                startovací řádek v ~/.config/i3/config </p>
            <code>
            <p># start a script to setup displays</p>
            <p># put `monitor.sh` into the location specified by this line:</p>
            <p>exec --no-startup-id ~/.screenlayout/monitor.sh</p>
        </code>
            <p>To se postará o nastavení zobrazení při každém přihlášení. alternativně můžete ručně vytvořit skript
                pomocí
                xrandr. </p>
            <h2>Tilling: (Obklady:)</h2>
            <p>Je nastaveno jako výchozí pro i3wm a lze jej změnit na: </p>
            <p>* stacking: (stohování:) Zobrazí se pouze vybrané okno v kontejneru. V horní části kontejneru získáte
                seznam
                oken. </p>
            <p>* tabbed: (záložka:) takže každé nové okno se otevře na celou obrazovku jako karta, můžete přepínat mezi
                kartami oken pomocí myši nebo zkratky: [mod]+ doleva (klávesa šipka doleva) [mod]+ doprava (klávesa
                šipka
                doprava) </p>
            <h2>i3blocks: (bloky:)</h2>
            <p><strong>Panelová lišta (i3-bloky): </strong></p>
            <p>Konfigurační soubor bloku: <code>CONFIG FILE = ~/.config/i3/i3blocks.conf </code></p>
            <img alt="" src="img/panel.webp" style="width: 50%;height: auto;" />
            <p>* pulseaudio (úroveň hlasitosti kolečka myši, kliknutím pravým tlačítkem otevřete ovládání pulseaudio)
            </p>
            <p>* počasí (openweather musíte nejprve získat kód města a apikey [přidání do
                <code>~/.config/i3/scripts/openweather.sh</code>])
                získejte svůj api klíč zde: <a href="https://openweathermap.org/appid"
                    target="_blank">https://openweathermap.org/appid</a>
                a kód města: <a href="https://openweathermap.org/find?q="
                    target="_blank">https://openweathermap.org/find?q=</a> (vyhledejte své město a vezměte kód
                města z adresy URL ve svém prohlížeči [7 čísel na konec adresy URL]) </p>
            <p>* tray-icons (zobrazuje ikonu správce sítě a ikonu aktualizace) </p>
            <p>* tlačítko odhlášení (vypnutí, odhlášení, pozastavení, hibernace atd.) </p>
            <p>Konfigurační soubor powermenu: <code>CONFIG FILE = ~/.config/i3/scripts/powermenu </code></p>
            <img alt="" src="img/i3-power-nov21.webp" style="width: 50%;height: auto;" />
            <p><strong>Aplikační menu (rofi):</strong></p>
            <img alt="" src="img/eos-i3-shot-nov21.webp" style="width: 50%;height: auto;" />
            <p>Konfigurační soubor barevných schémat rofi: <code>~/.config/rofi/arc_dark_transparent_colors.rasi</code>
            </p>
            <p><strong>Nabídka obslužného programu výkonových profilů: </strong></p>
            <img alt="" src="img/ppd-i3.webp" style="width: 50%;height: auto;" />
            <p>Vám umožní snadno přepínat režimy napájení z i3-bar.</p>
            <h2>Výukový program pro instalaci i3wm na EndeavourOS:</h2>
            <p><strong>pro pozdější instalace, pokud jste nainstalovali další DE při počáteční instalaci</strong></p>
            <p>1. Naklonujte repozitář a přesoňte se do naklonované složky:</p>
            <code><a href="git clone https://github.com/endeavouros-team/endeavouros-i3wm-setup.git" target="_blank">git
            clone https://github.com/endeavouros-team/endeavouros-i3wm-setup.git</a></code>
            <code>cd endeavouros-i3wm-setup</code>
            <p>2. Zkopírujte soubory do správných adresářů (.config vašeho uživatele): </p>
            <code>cp .Xresources ~/.Xresources</code>
            <code>cp -R .config/* ~/.config/</code>
            <p>3. Skripty uvnitř <code>~/.config/i3/scripts</code> musí být spustitelné:</p>
            <code>chmod -R +x ~/.config/i3/scripts</code>
            <p>4. Nastavit motiv pro xed text editor:</p>
            <code>dbus-launch dconf load / < xed.dconf</code>
            <p>5. Nainstalovat potřebné balíčky: </p>
            <code><a href="wget https://raw.githubusercontent.com/endeavouros-team/EndeavourOS-packages-lists/master/i3"
                 target="_blank">wget
            https://raw.githubusercontent.com/endeavouros-team/EndeavourOS-packages-lists/master/i3</a></code>
            <code>sudo pacman -S --needed - < i3</code>
            <p>nebo použijte nástroj pro balíčky z našeho úložiště EndeavourOS: <code>eos-packagelist --install
            "i3-Window-Manager"</code></p>
            <p><strong>Použijte <code>i3_install</code> skript z git pro automatickou instalaci do vašeho domovského
                    adresáře uživatelů: </strong> Tento skript nastaví potřebné konfigurace a nainstaluje všechny
                potřebné
                balíčky:</p>
            <code>wget https://raw.githubusercontent.com/endeavouros-team/endeavouros-i3wm-setup/main/i3_install</code>
            <p>a spusťte ho:</p>
            <code>./i3_install</code>
            <h4>Varování i3_install přepíše existující soubory.</h4>
            <p><strong>Než jej spustíte, nezapomeňte zálohovat uživatelské konfigurace!</strong></p>
            <iframe
                allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share"
                allowfullscreen frameborder="0" height="380" referrerpolicy="strict-origin-when-cross-origin"
                src="https://www.youtube.com/embed/dwSHX-pEe3o" title="i3 on EndeavourOS Review" width="900"></iframe>
            <h2>Dopuručené odkazy:</h2>
            <p><a href="https://i3wm.org/docs/" target="_blank">Dokumenty z i3wm.org</a></p>
            <p><a href="https://github.com/endeavouros-team/endeavouros-i3wm-setup" target="_blank">Zdroje pro nastavení
                    EndeavourOS i3wm:</a></p>
            <p><a href="Zdroje pro nastavení EndeavourOS i3wm:" target="_blank">Oficiální fórum EndeavourOS</a></p>
            <p>
                Návod je převzat z
                <a href="https://discovery.endeavouros.com/window-tiling-managers/i3-wm/2021/03/"
                    target="_blank">Discovery</a>
                na EndeavourOS vydán 24. března 2021.
            </p>

            <code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
            14.7.2024</code>
        </section>
    </main>
    <?php require "assets/returnbutton.php" ?>
    <?php require "assets/footer.php"; ?>
    <script src="assets/script.js"></script>
</body>

</html>